Loading...
Searching...
No Matches
trim_quality.hpp File Reference

Provides seqan3::views::trim_quality. More...

`#include <ranges>`
`#include <seqan3/alphabet/quality/qualified.hpp>`
`#include <seqan3/io/views/detail/take_until_view.hpp>`
`#include <seqan3/utility/views/deep.hpp>`
Include dependency graph for trim_quality.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.

## Variables

constexpr auto | seqan3::views::trim_quality
| A view that does quality-threshold trimming on a range of seqan3::quality_alphabet.

## Detailed Description

Provides seqan3::views::trim_quality.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me